<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.biologicoVacuna.home.createOrEditLabel"
          data-cy="VacunaCreateUpdateHeading"
          v-text="$t('gatewayApp.biologicoVacuna.home.createOrEditLabel')"
        >
          Create or edit a Vacuna
        </h2>
        <div>
          <div class="form-group" v-if="vacuna.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="vacuna.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoVacuna.nombreVacuna')" for="vacuna-nombreVacuna"
              >Nombre Vacuna</label
            >
            <input
              type="text"
              class="form-control"
              name="nombreVacuna"
              id="vacuna-nombreVacuna"
              data-cy="nombreVacuna"
              :class="{ valid: !$v.vacuna.nombreVacuna.$invalid, invalid: $v.vacuna.nombreVacuna.$invalid }"
              v-model="$v.vacuna.nombreVacuna.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoVacuna.tipoVacuna')" for="vacuna-tipoVacuna"
              >Tipo Vacuna</label
            >
            <input
              type="text"
              class="form-control"
              name="tipoVacuna"
              id="vacuna-tipoVacuna"
              data-cy="tipoVacuna"
              :class="{ valid: !$v.vacuna.tipoVacuna.$invalid, invalid: $v.vacuna.tipoVacuna.$invalid }"
              v-model="$v.vacuna.tipoVacuna.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoVacuna.descripcionVacuna')" for="vacuna-descripcionVacuna"
              >Descripcion Vacuna</label
            >
            <input
              type="text"
              class="form-control"
              name="descripcionVacuna"
              id="vacuna-descripcionVacuna"
              data-cy="descripcionVacuna"
              :class="{ valid: !$v.vacuna.descripcionVacuna.$invalid, invalid: $v.vacuna.descripcionVacuna.$invalid }"
              v-model="$v.vacuna.descripcionVacuna.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoVacuna.fechaIngreso')" for="vacuna-fechaIngreso"
              >Fecha Ingreso</label
            >
            <div class="d-flex">
              <input
                id="vacuna-fechaIngreso"
                data-cy="fechaIngreso"
                type="datetime-local"
                class="form-control"
                name="fechaIngreso"
                :class="{ valid: !$v.vacuna.fechaIngreso.$invalid, invalid: $v.vacuna.fechaIngreso.$invalid }"
                :value="convertDateTimeFromServer($v.vacuna.fechaIngreso.$model)"
                @change="updateInstantField('fechaIngreso', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoVacuna.loteVacuna')" for="vacuna-loteVacuna"
              >Lote Vacuna</label
            >
            <input
              type="text"
              class="form-control"
              name="loteVacuna"
              id="vacuna-loteVacuna"
              data-cy="loteVacuna"
              :class="{ valid: !$v.vacuna.loteVacuna.$invalid, invalid: $v.vacuna.loteVacuna.$invalid }"
              v-model="$v.vacuna.loteVacuna.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoVacuna.fabricante')" for="vacuna-fabricante"
              >Fabricante</label
            >
            <select class="form-control" id="vacuna-fabricante" data-cy="fabricante" name="fabricante" v-model="vacuna.fabricante">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="vacuna.fabricante && fabricanteOption.id === vacuna.fabricante.id ? vacuna.fabricante : fabricanteOption"
                v-for="fabricanteOption in fabricantes"
                :key="fabricanteOption.id"
              >
                {{ fabricanteOption.id }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.vacuna.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./vacuna-update.component.ts"></script>
